dtest(1)

NAME
dtest - simple uDAPL send/receive and RDMA test

SYNOPSIS
dtest [-P provider] [-b buf size] [-B burst count][-v] [-c] [-p] [-d] [-s]

dtest [-P provider] [-b buf size] [-B burst count][-v] [-c] [-p] [-d] [-h HOSTNAME]

DESCRIPTION

dtest is a simple test used to exercise and verify the uDAPL interfaces. At least two instantiations of the test must be run. One acts as the server and the other the client. The server side of the test, once invoked listens for connection requests, until timing out or killed. Upon receipt of a cd connection request, the connection is established, the server and client sides exchange information necessary to perform RDMA writes and reads.

OPTIONS

-P=PROVIDER

use PROVIDER to specify uDAPL interface using /etc/dat.conf (default ofa-v2-mlx4_0-1u)
    -b=BUFFER_SIZE use buffer size BUFFER_SIZE for RDMA(default 64)

-B=BURST_COUNT
    use busrt count BURST_COUNT for interations (default 10)

-v, verbose output(default off)

-c, use consumer notification events (default off)

-p, use polling (default wait for event)

-d, delay in seconds before close (default off)

-s, run as server (default - run as server)

-h=HOSTNAME
    use HOSTNAME to specify server hostname or IP address (default - none)

EXAMPLES

dtest -P OpenIB-cma -v -s

     Starts a server process with debug verbosity using provider OpenIB-cma.

dtest -P OpenIB-cma -h server1-ib0

     Starts a client process, using OpenIB-cma provider to connect to hostname server1-ib0.

SEE ALSO
dtestcm(1), dtestx(1), dtestsrq(1), dapltest(1)

AUTHORS

Arlin Davis
    <arlin.r.davis@intel.com>